# Received APIs Intro

Received's API operates on a REST architecture, featuring resource-oriented URLs for easy navigation. It accepts form-encoded request bodies and delivers JSON-encoded responses. Standard HTTP response codes, authentication methods, and verbs are utilized throughout.

#### API Headers

{% hint style="info" %}
API calls, except for Authentications, must include the next headers

1. **Bearer Token** - return from the login call&#x20;
2. **API Version** - {"Version": "V0"}
   {% endhint %}

#### Current version

{% code lineNumbers="true" %}

```javascript
{"Version": "V0"}
```

{% endcode %}

#### **Start using with Swagger UI:**

{% hint style="info" %}
<https://api.received.ai/swagger/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.received.ai/api-docs/received-apis-intro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
